package com.nokia.common.controller;

import com.nokia.task.LtePmTask;
import lombok.extern.log4j.Log4j2;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Log4j2
@RestController
@RequestMapping("/ltePmTask")
public class LtePmTaskController {

    @Autowired
    LtePmTask ltePmTask;

    @GetMapping("/ltePmTaskReissue")
    public String reissue(@RequestParam String hostString) {

        // 空值检查
        if (ltePmTask == null || hostString == null) {
            return "参数不能为空";
        }
        try {
            // 执行任务
            ltePmTask.gpload(hostString);
            return "补发成功";
        } catch (IOException e) {
            // 异常处理，可以记录日志或者返回特定错误信息
            return "补发失败，发生IO异常：" + e.getMessage();
        }
    }
}
